Subject: Re: [PATCH] net:phy:dp83640: Initialize PTP clocks at device init.

From: Richard Cochran <[email-masked]>
Date: Mon, 3 Feb 2014 17:33:32 +0100

On Mon, Feb 03, 2014 at 03:36:58PM +0100, Stefan Sørensen wrote:
> The trigger and events functionality can be useful even if packet
> timestamping is not used, but the required PTP clock is only enabled
> when packet timestamping is started. This patch moves the clock enable
> to when the interface is configured.

Hm, I vaguely recall that there might have been some reason not enable
the clock too early. (Maybe this was related to multiple PHYs?)

Quickly looking at the code once again, I can't see anything wrong with
this now, but I'll look at it again tomorrow.

Thanks,
Richard